<?php 
/*
 * @package WordPreciousss
 * @subpackage Precious_Parent_Theme

Template name: Frontpage
*/
	get_header('mine');
		
	if (have_posts()) { 

 		while (have_posts()) : the_post(); ?>

	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<h2 id="pagetitle"><?php precious_welcome_message(); ?></h2>

	 <?php edit_post_link(__('Edit','precious'),'<p class="editlink">','</p>'); ?>
	
		<div class="postcontent">
			<?php the_content(); ?>

			<h3><?php _e('Recent posts','precious'); ?></h3>
				<ul>
				<?php wp_get_archives('type=postbypost&limit=10'); ?>
				</ul>

		</div>

	</div>



<?php  endwhile; ?>

		<?php } else {
			precious_404_message();

			get_search_form();
		}
	get_footer('mine');
?>
